#include<iostream>
using namespace std;
int main(){
    int N;
    cin>>N;
    int kutiq[N], dyljina=0;
    bool pylnalie[N];
    for(int i=0; i<N; i++){
        cin>>kutiq[i];
        dyljina=dyljina+kutiq[i];
        pylnalie[i]=false;
    }
    for(int i=0; i<N; i++){
        for(int j=0; j<N; j++){
            if(kutiq[i]<kutiq[j]){
                swap(kutiq[i],kutiq[j]);
            }
        }
    }
    for(int i=0; i<N; i++){
        for(int j=0; j<N && kutiq[i]!=0; j++){
            if(kutiq[i]<kutiq[j] && pylnalie[j]==false){
                dyljina=dyljina-kutiq[i];
                kutiq[i]=0;
                pylnalie[j]=true;
            }
        }
    }
    cout<<dyljina;
}
